"use strict";

const {
  convertCode
} = require('../utilities');

test('string.trimStart() Method', () => {
  const inputCode = `let text1 = "     Hello World!     ";
let text2 = text1.trimStart();`;
  const outputCode = `let text1 = "     Hello World!     ";
let text2 = text1.trimStart();`;
  expect(convertCode(inputCode)).toBe(outputCode);
});
test('string.trimEnd() Method', () => {
  const inputCode = `let text1 = "     Hello World!     ";
let text2 = text1.trimEnd();`;
  const outputCode = `let text1 = "     Hello World!     ";
let text2 = text1.trimEnd();`;
  expect(convertCode(inputCode)).toBe(outputCode);
});